class Exitloop(Exception): pass

try:
    while True:
        while True:
            for i in range(10):
                 if i > 3: raise Exitloop          # Instrukcja break spowodowałaby wyjście tylko jeden poziom wyżej
                 print('pętla3: %s' % i)            # Metoda raise może wyjść z wielu poziomów 
            print('pętla2')
        print('pętla1')
except Exitloop:
    print('kontynuacja')                            # Można użyć pass, by przejść dalej

print(f'{i=}')                                     # Zmienna pętli nie jest cofana

